Skip to main content
PUT
curl

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifier returned by the corresponding authorized collection; use only a record visible to the signed-in patient.

Body

application/json
medication
string
required

Medication for this injection entry. Maximum 64 characters.

Maximum string length: 64
dose
string
required

Dose for this injection entry. Maximum 80 characters.

Maximum string length: 80
injected_at
string<date-time>
required

Injected at timestamp in ISO 8601 format.

injection_site

Injection site for this injection entry.

Available options:
abdomen,
thigh,
upper_arm
note
string

Optional note attached to the resource.

Response

Successful replace an injection.

id
string<uuid>
required
read-only

Unique identifier of this resource. Returned by the server; not writable.

created_at
string<date-time>
required
read-only

Created at timestamp in ISO 8601 format. Returned by the server; not writable.

updated_at
string<date-time>
required
read-only

Updated at timestamp in ISO 8601 format. Returned by the server; not writable.

medication
string
required

Medication for this injection entry. Maximum 64 characters.

Maximum string length: 64
dose
string
required

Dose for this injection entry. Maximum 80 characters.

Maximum string length: 80
injected_at
string<date-time>
required

Injected at timestamp in ISO 8601 format.

injection_site

Injection site for this injection entry.

Available options:
abdomen,
thigh,
upper_arm
note
string

Optional note attached to the resource.